import { BillingFormFields } from './billing-form-schema';
import { FormController } from '../../../ui-components/form/form';
export declare class CardBillingFormSimple {
    formController: FormController;
    billingInfo: {};
    errors: any;
    legend?: string;
    private unsubscribeFromStore?;
    componentWillLoad(): void;
    componentDidLoad(): void;
    disconnectedCallback(): void;
    inputHandler: (name: string, value: string) => void;
    getValues(): Promise<BillingFormFields>;
    validate(): Promise<{
        isValid: boolean;
        errors: any;
    }>;
    render(): any;
}
